Subject: Re: [PATCH 0/5] parse-options: minor cleanups for handling subcommands

From: SZEDER Gábor <[email-masked]>
Date: Wed, 7 Sep 2022 23:22:13 +0200

On Wed, Sep 07, 2022 at 12:12:21PM -0700, Junio C Hamano wrote:
> SZEDER Gábor <[email-masked]> writes:
> 
> > The changes really are minor: the first four patches shouldn't alter
> > behavior in any way, and even the last one touches only two error
> > messages.
> 
> All of them make sense.  I especially liked the simplification of
> "defaults to list" one.  "git notes list list foo" might change
> behaviour but probably in a better direction.

v2.37, current master (or 'sg/parse-options-subcommand'), and this
series behave the same when running that command: control is
dispatched to the function implementing the 'list' subcommand, which
then complains about "too many arguments", as it accepts only a one
argument.